<?php

namespace LivraisonParSecteurs\Controller\backOffice;

use LivraisonParSecteurs\LivraisonParSecteurs;
use LivraisonParSecteurs\Model\LpsAreaQuery;
use Thelia\Controller\Admin\BaseAdminController;
use Thelia\Core\Security\AccessManager;
use Thelia\Core\Security\Resource\AdminResources;

/**
 * Class ListController
 * @package LivraisonParSecteurs\Controller
 */
class ListController extends BaseAdminController
{
    public function viewAction($params = [])
    {
        return $this->render("deliveryarea-list");
    }


    public function toggleActive($id)
    {
        // Check current user authorization
        if (null !== $response = $this->checkAuth(AdminResources::MODULE, LivraisonParSecteurs::getModuleCode(), AccessManager::UPDATE))
            return $response;

        $deliveryarea = LpsAreaQuery::create()->findOneById($id);
        $deliveryarea->setActive($deliveryarea->getActive() ? 0 : 1)->save();

        return $this->render("deliveryarea-list");
    }
}